UpdateToolz (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.lib.UpdateToolz class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.lib
Class UpdateToolz

    java.lang.Object
      com.securitycentric.metacoretex.lib.UpdateToolz

public class UpdateToolz
extends java.lang.Object

Author:
  visigoth

Field Summary
`static java.util.Vector` | `newFiles`
`static java.util.Vector` | `upFiles`

Constructor Summary
`UpdateToolz()`

Method Summary
`static void` | `dlConfFile(java.lang.String dlUrlStr, java.lang.String fName)`
`static void` | `dlFile(java.net.URL fLoc, java.lang.String destFile)`
`static void` | `dlJarFile(java.lang.String dlUrlStr, java.lang.String jName)`
`static void` | `dlProbe(java.lang.String dlUrlStr, java.lang.String jName)`
`static int` | `doUpdate(com.securitycentric.metacoretex.xml.update.MCTXUpdate update)` Carry out the update activities based on the provided MCTXUpdate which then allows the modification of the MCTXUpdate to suit contextual needs (duplicates should be removed already).
`static Version` | `getConfVersion(java.io.File file)`
`static com.securitycentric.metacoretex.xml.update.MCTXUpdate` | `getUpdate()`
`static void` | `onlyConfigFiles(com.securitycentric.metacoretex.xml.update.MCTXUpdate upDate)`
`static void` | `onlyJars(com.securitycentric.metacoretex.xml.update.MCTXUpdate upDate)`
`static void` | `onlyProbes(com.securitycentric.metacoretex.xml.update.MCTXUpdate upDate)`
`static void` | `removeDuplicates(com.securitycentric.metacoretex.xml.update.MCTXUpdate upDate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newFiles

    public static java.util.Vector newFiles

### upFiles

    public static java.util.Vector upFiles

Constructor Detail

### UpdateToolz

    public UpdateToolz()

Method Detail

### onlyProbes

    public static void onlyProbes(com.securitycentric.metacoretex.xml.update.MCTXUpdate upDate)

### onlyConfigFiles

    public static void onlyConfigFiles(com.securitycentric.metacoretex.xml.update.MCTXUpdate upDate)

### onlyJars

    public static void onlyJars(com.securitycentric.metacoretex.xml.update.MCTXUpdate upDate)

### getUpdate

    public static com.securitycentric.metacoretex.xml.update.MCTXUpdate getUpdate()
                                                                           throws UpdateException

  Throws:
    `UpdateException`

### removeDuplicates

    public static void removeDuplicates(com.securitycentric.metacoretex.xml.update.MCTXUpdate upDate)

### doUpdate

    public static int doUpdate(com.securitycentric.metacoretex.xml.update.MCTXUpdate update)
                        throws UpdateException

  Carry out the update activities based on the provided MCTXUpdate which then allows the modification of the MCTXUpdate to suit contextual needs (duplicates should be removed already). Also, reset counter junk at beginning of call

  Throws:
    `UpdateException`

### dlProbe

    public static void dlProbe(java.lang.String dlUrlStr,
                               java.lang.String jName)
                        throws UpdateException

  Throws:
    `UpdateException`

### dlConfFile

    public static void dlConfFile(java.lang.String dlUrlStr,
                                  java.lang.String fName)
                           throws UpdateException

  Throws:
    `UpdateException`

### dlJarFile

    public static void dlJarFile(java.lang.String dlUrlStr,
                                 java.lang.String jName)
                          throws UpdateException

  Throws:
    `UpdateException`

### dlFile

    public static void dlFile(java.net.URL fLoc,
                              java.lang.String destFile)

### getConfVersion

    public static Version getConfVersion(java.io.File file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD